package public_handlers

import (
	"cpone/utils"
	public_login "cpone/views/public/login"

	"github.com/labstack/echo/v4"
)

type LoginService interface {
}

func NewLoginHandler(us LoginService) *LoginHandler {
	return &LoginHandler{
		LoginService: us,
	}
}

type LoginHandler struct {
	LoginService LoginService
}

// func (uh *LoginHandler) ShowLogin(c echo.Context) error {
// 	helo := client_Login.Show()
// 	return utils.View(c, helo)
// }

func (lh *LoginHandler) HandlerShowLogin(c echo.Context) error {

	si := public_login.ShowLogin("Login ", public_login.MainLogin(), public_login.CssLogin(), public_login.JsLogin())

	return utils.View(c, si)
}
